<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.mapper.LogYysdMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="logYysdResultMap" type="org.springblade.modules.log.pojo.entity.LogYysdEntity">
        <result column="request_params" property="requestParams"/>
        <result column="response_body" property="responseBody"/>
    </resultMap>

    <select id="selectLogYysdPage" resultMap="logYysdResultMap">
        select * from log_yysd where is_deleted = 0
    </select>

    <select id="exportLogYysd" resultType="org.springblade.modules.log.excel.LogYysdExcel">
        SELECT * FROM log_yysd ${ew.customSqlSegment}
    </select>

</mapper>
